# bundle

@Incubating
abstract fun <D : Dependency?> bundle(bundle: Iterable<out D>)
@Incubating
abstract fun <D : Dependency?> bundle(bundle: Provider<out Iterable<out D>>)
@Incubating
abstract fun <D : Dependency?> bundle(bundle: ProviderConvertible<out Iterable<out D>>)

Add a bundle.

#### Since

8.6

#### Parameters

bundle

the bundle to add

@Incubating
abstract fun <D : Dependency?> bundle(bundle: Iterable<out D>, configuration: Action<in D>)
@Incubating
abstract fun <D : Dependency?> bundle(bundle: Provider<out Iterable<out D>>, configuration: Action<in D>)
@Incubating
abstract fun <D : Dependency?> bundle(bundle: ProviderConvertible<out Iterable<out D>>, configuration: Action<in D>)

Add a bundle and configure them.

#### Since

8.6

#### Parameters

bundle

the bundle to add

configuration

an action to configure each dependency in the bundle